package cn.hanghui.outapi.platform;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;

@EnableAsync
@SpringBootApplication()
@MapperScan("cn.hanghui.outapi.platform.**.mapper")
public class HanghuiOutapiPlatformApplication {

    static {
        System.setProperty("druid.mysql.usePingMethod", "false");
    }

    public static void main(String[] args) {
        SpringApplication.run(HanghuiOutapiPlatformApplication.class, args);
    }

}
