package cn.hanghui.outapi.platform.tenant.entity.common;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.common
 * @class DeviceTemplateCommonParams
 * @date 2024/5/14 上午10:41
 * @description
 */
@Data
public class DeviceTemplateCommonParams implements Serializable {

    @ApiModelProperty(value = "购买方公司id", required = true)
    @NotNull(message = "请输入购买方公司")
    private Long purchaserId;

    @ApiModelProperty(value = "应用类型id", required = true)
    @NotNull(message = "请选择应用类型")
    private Long applicationTypeId;

    @ApiModelProperty(value = "设备型号(硬件)id", required = true)
    @NotNull(message = "请选择设备型号（硬件）")
    private Long deviceModelHardwareId;

    @ApiModelProperty(value = "设备型号(环境)id", required = true)
    @NotNull(message = "请选择设备型号（环境）")
    private Long deviceModelEnvironmentId;

    @ApiModelProperty(value = "系统类型 1-蚂蚁OS 2-非蚂蚁OS", required = true)
    @NotNull(message = "请选择系统类型")
    private Integer systemTypeCode;

}
