package cn.hanghui.outapi.platform.tenant.entity.config.fkj.device.template;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class IotDeviceConfigVo
 * @date 2023/12/5 下午2:11
 * @description
 */
@Data
public class FkjDeviceVo extends FkjDeviceDto {

    @ApiModelProperty("购买方公司名称")
    private String companyName;
    @ApiModelProperty(value = "应用类型")
    private String applicationType;
    @ApiModelProperty(value = "设备型号(硬件)")
    private String deviceModelHardware;
    @ApiModelProperty(value = "设备型号(环境)")
    private String deviceModelEnvironment;
    @ApiModelProperty(value = "系统类型")
    private String systemType;
    @ApiModelProperty(value = "授权状态  false：未授权 true：已授权")
    private Boolean status;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}
