package cn.hanghui.outapi.platform.tenant.entity.dto.ampe;

import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.BaseSearch;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class IotDeviceConfigPageDto
 * @date 2023/12/5 下午1:36
 * @description
 */
@Data
public class AmpeDeviceSearch extends BaseSearch {

    @ApiModelProperty(value = "设备编号")
    private String sn;

    @ApiModelProperty(value = "ampe平台名id")
    private Long ampeId;

    @ApiModelProperty(value = "服务商平台id")
    private Long tenantId;

}
