package cn.hanghui.outapi.platform.tenant.entity.dto.auth;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.auth
 * @class OpenInterfaceAuthDeviceVo
 * @date 2024/1/17 下午3:32
 * @description
 */
@Data
public class OpenInterfaceAuthDeviceVo implements Serializable {

    private Long id;

    private String sn;

    @ApiModelProperty(value = "购买方")
    private Long purchaserId;
    private String purchaserName;

    @ApiModelProperty(value = "应用类型")
    private Long applicationTypeId;
    private String applicationType;

    @ApiModelProperty(value = "设备型号")
    private Long deviceModelId;
    private String deviceModel;

    @ApiModelProperty(value = "是否授权 0：未授权 1：已授权")
    private Boolean status;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
