package cn.hanghui.outapi.platform.tenant.entity.dto.proof;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.proof
 * @class ProvisionalIdentityProofNoticeDto
 * @date 2024/5/13 上午11:21
 * @description
 */
@Data
public class ProvisionalIdentityProofNoticeDto implements Serializable {

    private Long id;

    @ApiModelProperty(value = "配置名称", required = true)
    @NotBlank(message = "请输入配置名称")
    private String name;

    @ApiModelProperty(value = "标题", required = true)
    @NotBlank(message = "请输入标题")
    private String title;

    @ApiModelProperty(value = "须知内容 富文本", required = true)
    @NotBlank(message = "请输入须知内容")
    private String notice;

    @ApiModelProperty(value = "公章")
    private String officialSeal;


}
