package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.po
 * @class UserBlacklist
 * @date 2024/8/28 下午4:06
 * @description
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(value = "user_blacklist", autoResultMap = true)
public class UserBlacklist extends Base {

    @ApiModelProperty(value = "UserBlacklistTask 主键")
    private Long taskId;

    @ApiModelProperty(value = "姓名")
    private String certName;

    @ApiModelProperty(value = "身份证号")
    private String certNo;

    @ApiModelProperty(value = "手机号")
    private String phone;


}
