package cn.hanghui.outapi.platform.xinghuo.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.xinghuo.entity.dto
 * @class SpecialCodeEncryptReq
 * @date 2024/7/30 下午3:04
 * @description
 */
@Data
public class SpecialCodeEncryptReq implements Serializable {

    @ApiModelProperty(value = "签名md5(appKey+appSecret+timestamp) 小写32位")
    private String sign;

    @ApiModelProperty(value = "加密后的数据")
    private String bizContent;

    @ApiModelProperty("时间戳 毫秒")
    private Long reqTimestamp;
}
