package cn.hanghui.outapi.platform.alipay.entity.param;

import com.alipay.api.domain.AlipayUserPicture;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class AlipayUserInfo {

    @ApiModelProperty(value = "支付宝用户id")
    private String userId;

    @ApiModelProperty(value = "身份证号")
    private String certNo;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty(value = "用户照片")
    private List<AlipayUserPicture> personPictures;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "现场刷脸照片")
    private String photoBase64;

}
