package cn.hanghui.outapi.platform.alipay.entity.rest.request;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.alipay.entity.rest
 * @class AlipayOperateRecordCreateWithVidOpenApiRequest
 * @date 2023/5/5 下午2:37
 * @description 录入机构用户信息（自定义vid）
 */
@Data
public class AlipayOperateRecordCreateWithVidOpenApiRequest extends AlipayOpenApiBaseRequest {

    /**
     * 组件编码
     */
    @JSONField(name = "component_out_id")
    private String componentOutId;
    /**
     * 用户信息
     */
    @JSONField(name = "user_info_list")
    private List<AlipayOperateRecordInfoWithVidApiRequest> userInfoList;

}
