package cn.hanghui.outapi.platform.tenant.entity.config.ampe;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @description:
 * @ClassName DeviceModelDto
 * @Author WXG
 * @Date 2023/12/27 14:26
 */
@Data
public class AmpeDto {

    @ApiModelProperty(value = "ampe平台id")
    private Long ampeId;

    @ApiModelProperty(value = "ampe平台名称")
    @NotBlank(message = "请输入ampe平台名称")
    private String ampeName;

    @ApiModelProperty(value = "产品ID(product_id)")
    @NotBlank(message = "请输入产品ID(product_id)")
    private String productId;

    @ApiModelProperty(value = "调用应用(ampe_appid)")
    @NotBlank(message = "请输入调用应用(ampe_appid)")
    private String hostAppId;

    @ApiModelProperty(value = "小程序AppId(miniProgram_appid)")
    @NotBlank(message = "请输入小程序AppId(miniProgram_appid)")
    private String appId;

    @ApiModelProperty(value = "小程序名称")
    @NotBlank(message = "请输入小程序名称")
    private String appName;

}
