package cn.hanghui.outapi.platform.tenant.entity.config.fkj.device.template;

import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.BaseSearch;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.config.fkj.device.template
 * @class FkjDeviceTemplateSearch
 * @date 2024/3/5 下午2:22
 * @description
 */
@Data
public class FkjDeviceTemplateSearch extends BaseSearch {

    @ApiModelProperty(value = "设备模版id")
    private Long id;

    @ApiModelProperty(value = "应用类型id")
    private Long applicationTypeId;

    @ApiModelProperty(value = "设备型号(硬件)id")
    private Long deviceModelHardwareId;

    @ApiModelProperty(value = "设备型号(环境)id")
    private Long deviceModelEnvironmentId;

    @ApiModelProperty(value = "系统类型 1-蚂蚁OS 2-非蚂蚁OS")
    private Integer systemTypeCode;

}
