package cn.hanghui.outapi.platform.tenant.entity.config.maintenance.purchaser;

import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.BaseSearch;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @description:
 * @ClassName PurchaserSearch
 * @Author WXG
 * @Date 2023/12/27 13:32
 */
@Data
public class PurchaserSearch extends BaseSearch {

    @ApiModelProperty(value = "公司名称")
    private String companyName;

    @ApiModelProperty(value = "公司负责人姓名")
    private String companyHeadName;

    @ApiModelProperty(value = "负责人联系电话")
    private String companyHeadPhone;

}
