package cn.hanghui.outapi.platform.tenant.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class AppLogDto
 * @date 2023/12/19 上午11:16
 * @description
 */
@Data
public class AppLogDto implements Serializable {

    @ApiModelProperty(value = "验证token")
    private String token;

    @ApiModelProperty(value = "设备sn")
    private String sn;

    @ApiModelProperty(value = "日志类型Logcat/Error/Crash")
    private String logType;

    @ApiModelProperty(value = "日志标签")
    private String logTag;

    @ApiModelProperty(value = "日志内容")
    private String logContent;

}
