package cn.hanghui.outapi.platform.tenant.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class AppLogDto
 * @date 2023/12/19 上午11:16
 * @description
 */
@Data
public class AppLogPageDto implements Serializable {

    @ApiModelProperty(value = "设备sn")
    private String sn;

    @ApiModelProperty(value = "日志类型Logcat/Error/Crash")
    private String logType;

    @ApiModelProperty(value = "日志标签")
    private String logTag;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "第几页 起始页1")
    private Integer pageNumber = 1;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize = 10;

}
