package cn.hanghui.outapi.platform.tenant.entity.dto.auth;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.auth
 * @class OpenInterfaceAuthDevicePageDto
 * @date 2024/1/17 下午3:38
 * @description
 */
@Data
public class OpenInterfaceAuthDevicePageDto implements Serializable {

    private String sn;

    @ApiModelProperty(value = "购买方")
    private Long purchaserId;

    @ApiModelProperty(value = "应用类型")
    private Long applicationTypeId;

    @ApiModelProperty(value = "设备型号")
    private Long deviceModelId;

    @ApiModelProperty(value = "是否授权 false：未授权 true：已授权")
    private Boolean status;

    @ApiModelProperty(value = "第几页 起始页1")
    private Integer pageNumber = 1;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize = 10;

}
