package cn.hanghui.outapi.platform.tenant.entity.dto.blacklist;

import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.BaseSearch;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.blacklist
 * @class UserBlacklistTaskSearch
 * @date 2024/8/30 上午9:14
 * @description
 */
@Data
public class UserBlacklistTaskListSearch{

    @ApiModelProperty(value = "购买方Id")
    @NotNull(message = "购买方Id不能为空")
    private Long purchaserId;

}
