package cn.hanghui.outapi.platform.tenant.entity.dto.open;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package com.yx.face.model.dto.dragon
 * @class PdKeyPersonVO
 * @date 2023/10/20 下午2:46
 * @description
 */
@Data
public class PdKeyPersonVO implements Serializable {

    /**
     * 姓名
     */
    private String name;
    /**
     * 电话
     */
    private String phone;

    /**
     * 布控姓名
     */
    private String bkName;

    /**
     * 布控姓名
     */
    private String bkPhone;

    /**
     * 布控类型 1：七类重点
     */
    private String bkType;

    /**
     * 布控类型别名 1：七类重点
     */
    private String bkTypeAlias;

    /**
     * 创建时间
     */
    private Date createTime;


    /**
     * 查查询布控结果 1：查询成功 2：未查询到结果
     */
    private String bkResult;

}
