package cn.hanghui.outapi.platform.tenant.entity.dto.open;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package com.yx.face.model.dto.dragon
 * @class PdProvincePersonVO
 * @date 2023/10/20 下午2:46
 * @description
 */
@Data
public class PdProvincePersonVO implements Serializable {

    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    private String xm;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private String xb;

    /**
     * 民族
     */
    @ApiModelProperty(value = "民族")
    private String mz;

    /**
     * 籍贯国家（地区）
     */
    @ApiModelProperty(value = "籍贯国家")
    private String jggj;

    /**
     * 籍贯省市县
     */
    @ApiModelProperty(value = "籍贯省市县")
    private String jgssx;

    /**
     * 出生日期
     */
    @ApiModelProperty(value = "出生日期")
    private String csrq;

    /**
     * 登记住址
     */
    @ApiModelProperty(value = "登记住址")
    private String djzz;

    /**
     * 相片
     */
    @ApiModelProperty(value = "相片")
    private String xp;

    /**
     * 户口所在地
     */
    @ApiModelProperty(value = "户口所在地")
    private String hkszd;

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号")
    private String sfzh;

    @ApiModelProperty(value = "是否是布控人员 默认false")
    private Boolean bkUser = Boolean.FALSE;

    @ApiModelProperty(value = "查询结果代码（自己维护） 1:查询成功 2:未查询到结果")
    private String qfjg;


}
