package cn.hanghui.outapi.platform.tenant.entity.dto.open;

import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.open
 * @class RpRequestDTO
 * @date 2024/2/29 下午2:50
 * @description
 */
@Data
public class RpBaseRequestDTO implements Serializable {

    //请求者身份标识
    private String accessKey;
    //随机数，10 分钟内不允许重复
    private String nonce;
    //签名
    private String sign;
    //Unix 时间戳，13 位毫秒数。仅接收时间差在 10 分钟内的数据
    private Long timestamp;
    //加密后的字符串。把数据先转换成 JSON，然后 进行 SM4 加密
    private String data;
    //请求方法
    private String method;




}
