package cn.hanghui.outapi.platform.tenant.service;

import cn.hanghui.outapi.platform.common.entity.rest.RestResult;
import cn.hanghui.outapi.platform.tenant.entity.dto.auth.OpenInterfaceAuthDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.auth.OpenInterfaceAuthPageDto;
import cn.hanghui.outapi.platform.tenant.entity.dto.auth.OpenInterfaceAuthVo;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.service
 * @class OpenInterfaceAuthService
 * @date 2024/1/17 下午1:25
 * @description
 */
public interface OpenInterfaceAuthService {

    RestResult<Boolean> add(OpenInterfaceAuthDto dto);

    RestResult<Boolean> del(Long id);

    RestResult<Boolean> updateStatus(Long id, Boolean status);

    RestResult<IPage<OpenInterfaceAuthVo>> page(OpenInterfaceAuthPageDto dto);
}
